[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: [PATCH] svn 1.2.x cannot reach dual-stack svnserve with IPv4

From: Branko Čibej <brane_at_xbc.nu>
Date: 2005-07-27 09:04:45 CEST

Michael W Thelen wrote:

> Rémi Denis-Courmont wrote:
>
>>> I'm tempted to just give up any pretense of ipv6 support and remove
>>> the existing code that deals with it in svnserve.
>>> It seems it's been a lot more trouble than it's worth, because things
>>> like to tell us about ipv6 addresses, etc, when the actual machine
>>> can't support it.
>>>
>>> Maybe in 5 or 6 years when someone gets this right we should
>>> reimplement.
>>
>>
>> The attached patch seems to solve the problem. Can reach dual-stack
>> servers from dual-stack and IPv4-only hosts; can IPv4-only servers
>> from dual-stack and IPv4-only hosts.
>
>
> Is any developer able to review this patch? If not, I'll file a patch
> issue for it in the next day or two.

I'd love to, but it would be pointless since I can't test it...

-- Brane

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Wed Jul 27 09:05:55 2005

This is an archived mail posted to the Subversion Dev mailing list.